Class | Fog::Compute::IBM::Server
In: | lib/fog/ibm/models/compute/server.rb
Parent: | Fog::Compute::Server

### Methods

addresses allocate_ip attach create_image destroy detach expire! expire_at expires_at image launched_at location new public_hostname public_ip_address ready? reboot rename save state to_image

### Constants

STATES | = | { 0 => 'New', 1 => 'Provisioning', 2 => 'Failed', 3 => 'Removed', 4 => 'Rejected', 5 => 'Active', 6 => 'Unknown', 7 => 'Deprovisioning', 8 => 'Restarting', 9 => 'Starting', 10 => 'Stopping', 11 => 'Stopped', 12 => 'Deprovisioning pending', 13 => 'Restart pending', 14 => 'Attaching', 15 => 'Detaching'

### Public Class methods

new(new_attributes={})

### Public Instance methods

addresses()
allocate_ip(wait_for_ready=true)
attach(volume_id)
create_image(opts={})

Alias for to_image

destroy()
detach(volume_id)
expire!()

Expires the instance immediately

expire_at(time)

Sets expiration time - Pass an instance of Time.

expires_at()
image()
launched_at()
location()
public_hostname()
public_ip_address()
ready?()
reboot()
rename(name)
save()
state()
to_image(opts={})

Creates an image from the current instance if name isn‘t passed then we‘ll take the current name and timestamp it

[Validate]